/*
Danger from the Deep - Open source submarine simulation
Copyright (C) 2003-2006  Thorsten Jordan, Luis Barrancos and others.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// text parser
// subsim (C)+(W) Thorsten Jordan. SEE LICENSE

class parser;

#ifndef PARSER_H
#define PARSER_H

//#define USETHISOTHER	// define for replacement of this/other with another id

#include <string>
#include "tokenizer.h"

class parser
{
	tokenizer* tkn;
	std::string filename;
#ifdef USETHISOTHER	
	std::string thisid, otherid;
#endif	

	public:	
	void error(const std::string& s);
	void parse(int type);
	std::string parse_string();
	int parse_number();
	std::string parse_id();
	bool parse_bool();
#ifdef USETHISOTHER
	void register_this(const std::string& s) { thisid = s; };
	void register_other(const std::string& s) { otherid = s; };
	std::string get_this() const { return thisid; }
	std::string get_other() const { return otherid; }
#endif	
	int type() const { return tkn->get_current().type; };
	std::string text() const { return tkn->get_current().text; };	
	bool is_empty() const { return tkn->is_empty(); };
	void consume();
		
	parser(const std::string& filename_);
	~parser();
};

#endif
